> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve the list of export jobs for a meter

GET https://rest.test.zuora.com/meters/{meterId}/auditTrail/export

Retrieves the list of previously initiated export jobs for a specific meter in Zuora Mediation.
You can filter the results by export type and session IDs using the `exportType` and `sessionIds`
query parameters. Use the returned `status` and `fileList` fields on each job to determine whether
a job is complete and which files to download. Then use the "Retrieve the presigned URL for an
export job" operation with each `fileKey` in `fileList` to obtain the download URLs.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/mediation/audit-trail/get-audit-trail-export-jobs

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `meterId` (long, required) — ID of the meter.

### Query parameters

- `exportType` (enum, optional) — Type of the export. `SAMPLE` indicates an export of success records, `ERROR` indicates an export of error records.
  - Allowed values: `SAMPLE`, `ERROR`
- `sessionIds` (list of string, optional) — The session IDs of the meter run. For example, `R-000001, R-000002`.
- `pageSize` (integer, optional, default: 30) — Page size for pagination.
- `page` (integer, optional, default: 1) — The page number.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

OK

- `success` (boolean, optional) — Indicates whether the request was successful.
- `data` (GetAuditTrailExportResponseData, optional) — Container for pagination metadata and the list of audit trail export jobs for the specified meter.
- `previousPage` (string, optional, nullable) — Cursor for the previous page of export jobs, if available. Used for backward pagination.
- `nextPage` (string, optional, nullable) — Cursor for the next page of export jobs, if available. Used for forward pagination.
- `error` (Error, optional) — Container for error information returned by the API when the request fails.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ProxyBadRequestResponseErrorsItems, optional)
- `success` (boolean, optional)

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

## Types

### GetAuditTrailExportResponseData

Container for pagination metadata and the list of audit trail export jobs for the specified meter.

- `page` (integer, optional) — Current page number.
- `pageSize` (integer, optional) — Number of jobs returned on this page.
- `jobs` (list of GetAuditTrailExportResponseDataJobsItems, optional) — List of export jobs for the specified meter.

### Error

- `code` (string, optional) — Machine-readable error code identifying the failure type.
- `message` (string, optional) — Human-readable description of the error that provides more context about what went wrong.
- `detail` (ErrorDetail, optional) — Additional structured details about the error, such as validation issues or parameter-specific information.

### ProxyBadRequestResponseErrorsItems

- `code` (string, optional) — Machine-readable error code identifying the failure type.
- `message` (string, optional) — Human-readable description of the error that provides more context about what went wrong.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### GetAuditTrailExportResponseDataJobsItems

Audit trail export job.

### ErrorDetail

Additional structured details about the error, such as validation issues or parameter-specific information.

## Examples

**Response**

```json
{
  "success": true,
  "data": {
    "page": 1,
    "pageSize": 5,
    "jobs": [
      {
        "completionTime": "2025-11-20T16:49:01Z",
        "count": 15001524,
        "creationTime": "2025-11-20T16:40:58Z",
        "fileList": [
          "cd3367fb-019d-4600-863f-07c51b7c9e10/audit_trail.csv"
        ],
        "meterId": 709,
        "query": {
          "exportType": "SAMPLE",
          "format": "csv",
          "operatorIds": [],
          "queryFromTime": "2025-11-13T07:02:11Z",
          "queryToTime": "2025-11-20T23:59:59Z",
          "runType": "NORMAL",
          "sessionIds": [],
          "statuses": null
        },
        "requestId": "cd3367fb-019d-4600-863f-07c51b7c9e10",
        "status": "FINISHED"
      }
    ]
  },
  "previousPage": null,
  "nextPage": null
}
```

**SDK Code**

```python Audit Trail_getAuditTrailExportJobs_example
import requests

url = "https://rest.test.zuora.com/meters/1/auditTrail/export"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Audit Trail_getAuditTrailExportJobs_example
const url = 'https://rest.test.zuora.com/meters/1/auditTrail/export';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Audit Trail_getAuditTrailExportJobs_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/meters/1/auditTrail/export"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Audit Trail_getAuditTrailExportJobs_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/meters/1/auditTrail/export")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Audit Trail_getAuditTrailExportJobs_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/meters/1/auditTrail/export")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Audit Trail_getAuditTrailExportJobs_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/meters/1/auditTrail/export', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Audit Trail_getAuditTrailExportJobs_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/meters/1/auditTrail/export");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Audit Trail_getAuditTrailExportJobs_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/meters/1/auditTrail/export")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```